/**
 * 
 */
package com.house365.tags;

import java.util.List;

import com.house365.tags.beans.DisabledFlag2;

/**
 * 失效标识下拉列表标签
 * 
 * @author duhui
 * 
 */
public class DisabledFlagSelectTag2 extends
		AbstractEnumSelectTag<DisabledFlag2> {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;

    @Override
    protected String getDefaultName() {
        return "disabled";
    }

    @Override
	protected List<DisabledFlag2> getList() {
		return DisabledFlag2.list();
    }

    @Override
	protected String getOptionLabel(DisabledFlag2 obj) {
        return obj.getShowName();
    }

    @Override
	protected Object getOptionValue(DisabledFlag2 obj) {
        return obj.getId();
    }
}
